Bug 1609567 - Hostgroup can save without 'Partition table' even 'Operating system' selected
Summary: Hostgroup can save without 'Partition table' even 'Operating system' selected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Group
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: Released
Assignee: Kavita
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-29 15:26 UTC by vijsingh
Modified: 2019-10-07 17:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:52 UTC
Foreman Issue Tracker 24471 None None None 2018-07-30 06:22:41 UTC

Description vijsingh 2018-07-29 15:26:17 UTC
Description of problem:

A Hostgroup can save without 'Partition table' even 'Operating system' selected

Version-Release number of selected component (if applicable):
Satellite 6.3.2

How reproducible:

Always

Steps to Reproduce:
1. Create a Hostgroup by filling the details of 'Operating system' 
2. Leave 'Partition table' blank and Submit

Actual results:

Hostgroup creates without 'Partition table' details.

Expected results:

As 'Partition table' mentioned mandatory(*) so should not save with blank details.
Also if Hostgroup created with 'Operating system' then it should have the details of partition table.


Additional info:

Comment 1 Tomer Brisker 2018-07-29 15:59:43 UTC
This is functioning as expected. The only field that is truly required for hostgroups is the name. Any other fields are not required at the hostgroup level, only at the host level. 
There is a mistake in incorrectly marking these fields as required on the hostgroup form. Lowering severity accordingly.

Comment 2 vijsingh 2018-07-29 16:36:53 UTC
(In reply to Tomer Brisker from comment #1)
> This is functioning as expected. The only field that is truly required for
> hostgroups is the name. Any other fields are not required at the hostgroup
> level, only at the host level. 
> There is a mistake in incorrectly marking these fields as required on the
> hostgroup form. Lowering severity accordingly.

Thanks , then marking should be removed from all below fields in Hostgroup:

~~~~ 
Operating system *
Media *
Partition table *
~~~~

Comment 4 Kavita 2018-07-30 06:22:38 UTC
Created redmine issue http://projects.theforeman.org/issues/24471 from this bug

Comment 5 pm-sat@redhat.com 2018-07-30 08:13:51 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 6 pm-sat@redhat.com 2018-08-02 15:40:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24471 has been resolved.

Comment 8 Jameer Pathan 2018-11-09 07:41:10 UTC
verified:

@satellite 6.5.0 snap 2

observations:

required field marking removed from: 
~~~~
Operating system *
Media *
Partition table *
~~~~

only name field is marked as required for hostgroup.

Comment 11 errata-xmlrpc 2019-05-14 12:37:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.